
#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>
#include "Fonts/FreeSerifBold12pt7b.h"

#define SCREEN_WIDTH 128 // OLED display width, in pixels
#define SCREEN_HEIGHT 64 // OLED display height, in pixels

Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, -1);

void setup() {
  Serial.begin(115200);
  display.begin(SSD1306_SWITCHCAPVCC, 0x3C);
  delay(2000);
  display.clearDisplay();
  display.setFont(&FreeSerifBold12pt7b);
  display.setTextSize(1);
  display.setTextColor(WHITE);
  display.setCursor(15,22);
  display.print("17:56:35");
  display.setFont();
  display.setTextSize(1);
  display.setCursor(5,32);
  display.print("Thursday 2020.02.20");
  display.setCursor(20,45);
  display.print("Temp: 26.2 C");  
  display.display(); 
}

void loop() {
  
}
